# Uses of Enum Class
org.bukkit.block.data.Rail.Shape

Packages that use Rail.Shape
Package
Description
org.bukkit.block.data
Generalized BlockData classes.

## Uses of Rail.Shape in org.bukkit.block.data

Methods in org.bukkit.block.data that return Rail.Shape
Modifier and Type
Method
Description
`@NotNull Rail.Shape`
Rail.`getShape()`
Gets the value of the 'shape' property.
`static Rail.Shape`
Rail.Shape.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Rail.Shape[]`
Rail.Shape.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data that return types with arguments of type Rail.Shape
Modifier and Type
Method
Description
`@NotNull Set<Rail.Shape>`
Rail.`getShapes()`
Gets the shapes which are applicable to this block.
Methods in org.bukkit.block.data with parameters of type Rail.Shape
Modifier and Type
Method
Description
`void`
Rail.`setShape(@NotNull Rail.Shape shape)`
Sets the value of the 'shape' property.